<script setup lang="ts">
import { useDetail } from "../config/detail";
import { TRADE_COLUMNS } from "../../../../utils/details/trade";
import BasicDescriptions from "/@/components/BasicDescriptions";
import { detailProps } from "../types";

const props = defineProps(detailProps);
defineEmits(["map-offset-top"]);

const { data, code, defaultRef } = useDetail(props);
</script>

<template>
  <BasicDescriptions
    :show="code === '0'"
    ref="defaultRef"
    :data="data"
    :columns="TRADE_COLUMNS"
  />
</template>
